﻿using Hotline.Settings;
using Hotline.Share.Requests;
using XF.Utility.EnumExtensions;

namespace Hotline.Share.Dtos.Order
{
	public class OrderBiOrgDataListVo
	{
		public string OrgName { get; set; }

		public string OrgId { get; set; }

		public int HandlerExtendedNum { get; set; }

		public int CounterHandlerExtendedNum { get; set; }

		public int NoHandlerExtendedNum { get; set; }

		public int CounterNoHandlerExtendedNum { get; set; }

		public int Subtotal => HandlerExtendedNum + CounterHandlerExtendedNum + NoHandlerExtendedNum + CounterNoHandlerExtendedNum;
	}

	public class OrderBiCentreDataListVo
	{
		public string UserName { get; set; }

		public string UserId { get; set; }

		public int CentreArchive { get; set; }

		public int CentreCareOf { get; set; }

		public int NoCentreCareOf { get; set; }

		public int Invalid { get; set; }

		public int Repeat { get; set; }

		public int Subtotal => CentreArchive + CentreCareOf + NoCentreCareOf + Invalid + Repeat;
	}
}
