﻿namespace Sharing.Share.Dtos.DataSharing.Province
{
    /// <summary>
    /// 服务工单甄别结果接口
    /// </summary>
    public class ScreenDto
    {
        /// <summary>
        /// 服务工单编号  
        /// </summary>
        public string CaseSerial { get; set; }

        /// <summary>
        /// 审核结果是否通过   1：通过；0：不通过；2：申请；
        /// </summary>
        public string AuditResult { get; set; }

        /// <summary>
        /// 审核意见
        /// </summary>
        public string AuditOpinion { get; set; }

        /// <summary>
        /// 审核时间
        /// </summary>
        public DateTime? AuditTime { get; set; }

        /// <summary>
        /// 审核部门
        /// </summary>
        public string AuditOuname { get; set; }

        /// <summary>
        /// 审核人
        /// </summary>
        public string AuditPerson { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        public List<string> CliengGuid { get; set; }
    }
}
